//---------------------------------------------------------------------------------------------------------------------------------
// Name: DrawMenu()
// Desc: Draws the menu
//---------------------------------------------------------------------------------------------------------------------------------
void DrawMenu()
{
	if ( g_pd3dDevice == NULL ) // Check the device
		return;
	D3DXVECTOR3 menuSpritePosition ( 60.0f, 70.0f, 0.0f );


	// Clear the backbuffer
	g_pd3dDevice->Clear( 0, NULL, D3DCLEAR_TARGET, D3DCOLOR_XRGB( 0,0, 0 ), 1.0f, 0 ); // Clear screen to black

	if ( SUCCEEDED ( g_pd3dDevice->BeginScene() ) )
	{
		sprite->Begin( D3DXSPRITE_ALPHABLEND );
			
			sprite->Draw( mainScreenTex, NULL, NULL, &menuSpritePosition , 0xffffffff );
			
		sprite->End();

	g_pd3dDevice->EndScene();
	}

	// Present the backbuffer contents to the display
	g_pd3dDevice->Present( NULL, NULL, NULL, NULL );
}

//---------------------------------------------------------------------------------------------------------------------------------
// Name: DrawHelpScreen()
// Desc: Draws the menu
//---------------------------------------------------------------------------------------------------------------------------------
void DrawHelpScreen()
{
	if ( g_pd3dDevice == NULL ) // Check the device
		return;
	D3DXVECTOR3 helpSpritePosition ( 60.0f, 70.0f, 0.0f );


	// Clear the backbuffer
	g_pd3dDevice->Clear( 0, NULL, D3DCLEAR_TARGET, D3DCOLOR_XRGB( 0,0, 0 ), 1.0f, 0 ); // Clear screen to black

	if ( SUCCEEDED ( g_pd3dDevice->BeginScene() ) )
	{
		sprite->Begin( D3DXSPRITE_ALPHABLEND );
			
			sprite->Draw( helpScreenTex, NULL, NULL, &helpSpritePosition , 0xffffffff );
			
		sprite->End();

	g_pd3dDevice->EndScene();
	}

	// Present the backbuffer contents to the display
	g_pd3dDevice->Present( NULL, NULL, NULL, NULL );
}

